Bug 861073 - Add configure check that --with-android-version is at least 9. r=glandium
authorChris Peterson <cpeterson@mozilla.com>
Thu, 11 Apr 2013 23:07:27 -0700
changeset 128664 43592a61a366d8b7548d23bafa4ae1cb644cc663
parent 128663 fe1999ee55af4f2fd4cf38e769872e821d9f26ba
child 128665 62db06ab5e429d0f8a4bf9065b80b4d402553a9a
push id24534
push userryanvm@gmail.com
push dateSat, 13 Apr 2013 02:08:32 +0000
treeherdermozilla-central@5fc7f4b572ae [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersglandium
bugs861073
milestone23.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 861073 - Add configure check that --with-android-version is at least 9. r=glandium
build/autoconf/android.m4
js/src/build/autoconf/android.m4
--- a/build/autoconf/android.m4
+++ b/build/autoconf/android.m4
@@ -21,23 +21,28 @@ MOZ_ARG_WITH_STRING(android-gnu-compiler
     android_gnu_compiler_version=$withval)
 
 MOZ_ARG_ENABLE_BOOL(android-libstdcxx,
 [  --enable-android-libstdcxx
                           use GNU libstdc++ instead of STLPort],
     MOZ_ANDROID_LIBSTDCXX=1,
     MOZ_ANDROID_LIBSTDCXX= )
 
-android_version=9
+define([MIN_ANDROID_VERSION], [9])
+android_version=MIN_ANDROID_VERSION
 
 MOZ_ARG_WITH_STRING(android-version,
 [  --with-android-version=VER
-                          android platform version, default 9],
+                          android platform version, default] MIN_ANDROID_VERSION,
     android_version=$withval)
 
+if test $android_version -lt MIN_ANDROID_VERSION ; then
+    AC_MSG_ERROR([--with-android-version must be at least MIN_ANDROID_VERSION.])
+fi
+
 MOZ_ARG_WITH_STRING(android-platform,
 [  --with-android-platform=DIR
                            location of platform dir],
     android_platform=$withval)
 
 case "$target" in
 arm-linux*-android*|*-linuxandroid*)
     android_tool_prefix="arm-linux-androideabi"
--- a/js/src/build/autoconf/android.m4
+++ b/js/src/build/autoconf/android.m4
@@ -21,23 +21,28 @@ MOZ_ARG_WITH_STRING(android-gnu-compiler
     android_gnu_compiler_version=$withval)
 
 MOZ_ARG_ENABLE_BOOL(android-libstdcxx,
 [  --enable-android-libstdcxx
                           use GNU libstdc++ instead of STLPort],
     MOZ_ANDROID_LIBSTDCXX=1,
     MOZ_ANDROID_LIBSTDCXX= )
 
-android_version=9
+define([MIN_ANDROID_VERSION], [9])
+android_version=MIN_ANDROID_VERSION
 
 MOZ_ARG_WITH_STRING(android-version,
 [  --with-android-version=VER
-                          android platform version, default 9],
+                          android platform version, default] MIN_ANDROID_VERSION,
     android_version=$withval)
 
+if test $android_version -lt MIN_ANDROID_VERSION ; then
+    AC_MSG_ERROR([--with-android-version must be at least MIN_ANDROID_VERSION.])
+fi
+
 MOZ_ARG_WITH_STRING(android-platform,
 [  --with-android-platform=DIR
                            location of platform dir],
     android_platform=$withval)
 
 case "$target" in
 arm-linux*-android*|*-linuxandroid*)
     android_tool_prefix="arm-linux-androideabi"